Loading...
Searching...
No Matches
gfan.h File Reference
`#include "kernel/mod2.h"`
`#include "misc/int64vec.h"`
`#include "gfanlib/config.h"`
`#include <cdd/setoper.h>`
`#include <cdd/cdd.h>`
`#include <cdd/cddmp.h>`
`#include "bbfan.h"`
`#include "bbcone.h"`
`#include "gfanlib/gfanlib.h"`

Go to the source code of this file.

## Data Structures

class | facet
class | gcone
| Implements the cone structure. More...

## Macros

#define | USE_ZFAN

## Functions

gfan::ZFan * | grfan (ideal inputIdeal, int h, bool singleCone)
lists | lprepareResult (gcone *gc, const int n)

## Variables

EXTERN_VAR int | gfanHeuristic

## Macro Definition Documentation

## USE_ZFAN

#define USE_ZFAN

Definition at line 36 of file gfan.h.

## Function Documentation

## grfan()

gfan::ZFan * grfan | ( | ideal | inputIdeal,
|  | int | h,
|  | bool | singleCone )

## lprepareResult()

lists lprepareResult | ( | gcone * | gc,
|  | const int | n )

## Variable Documentation

## gfanHeuristic

EXTERN_VAR int gfanHeuristic

Definition at line 33 of file gfan.h.